using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CEVariables : MonoBehaviour
{
    [Header("Data")]
    public Player playerData;

    [Header("Settings MovePhase")]
    public float moveDistance;
    public float moveSpeed;
    public float moveDuration;
    
    [Header("ShootPhase")]
    public GameObject bullet;
    public Transform bulletPos;
    public float timeBetweenShots;
    public float leaveShootsPhaseTime;
    public float shootAmount;

    [Header("Internal References")]
    public CEData cEData;

    void Awake()
    {
        moveDistance = cEData.moveDistance;
        moveSpeed = cEData.moveSpeed;
        moveDuration = cEData.moveDuration;
    }

    public void CreateBullet()
    {
        Instantiate(bullet, bulletPos.position, Quaternion.identity);
    }
    
}
